import React from 'react';
import { Chip } from '../../chip/Chip';
import Popover from '../../popover';
import { TSLMenuItem } from '../components/Menu';
import { SelectedItem } from './SharedData';
export interface TSLProps {
    className?: string;
    /** tree data */
    menu?: TSLMenuItem[];
    /**  Allow multiple select (default: true) */
    multiple?: boolean;
    /** Select placeholder */
    placeholder?: string;
    /** Max tag count to show (default: 8) */
    maxTagCount?: number;
    /** Whether allow search */
    allowSearch?: boolean;
    /** Click direct label to select item (default: false - true in single choice mode) */
    withoutCheckbox?: boolean;
    /** Whether allow clear	 */
    allowClear?: boolean;
    /** default value */
    defaultSelected?: any[] | any;
    /** error */
    error?: boolean;
    /** size */
    size?: 'small' | 'medium' | 'large';
    disabled?: boolean;
    fullWidth?: boolean;
    /** chip properties when multiple = true */
    ChipProps?: Partial<React.ComponentProps<typeof Chip>>;
    PopoverProps?: Partial<React.ComponentProps<typeof Popover>>;
    /** A callback function, can be executed when you select an item */
    onSelect?: (valueArr: any[] | any, selected: SelectedItem[] | SelectedItem | null) => void;
    /** Custom render label */
    renderLabel?: (label: string, item: TSLMenuItem) => React.ReactNode;
}
interface TSLPropsHandler {
    handleSearch: (keyword: string) => void;
}
export declare const TSLPropsContext: React.Context<TSLProps & TSLPropsHandler>;
export declare const TSLPropsProvider: React.FC<TSLProps>;
export default TSLPropsProvider;
